Powered by Universal Speech Solutions LLC

Announcements

UniMRCP Dependencies 1.6.0 Released


The UniMRCP dependencies package 1.6.0 has been released and can be downloaded from the following location:

 
This package is intended to accompany the upcoming UniMRCP 1.6.0 release and is also compatible with the current and former versions of UniMRCP.
 
The list of changes introduced in this release follows.
APR library
  • Added a missing include for apr_strings.h in thread.c.
  • Set AR_FLAGS to [cr] in configure.in in order to suppress link-time warnings caused by newer version of libtool 2.4.6.
APR-util library
  • Set AR_FLAGS to [cr] in configure.in in order to suppress link-time warnings caused by newer version of libtool 2.4.6.
Sofia-SIP library
  • Fixed a compilation error caused by API changes introduced in OpenSSL 1.1.0. Issue #204. Thanks @tjanu.
  • Made second argument to tls_parse_extensions() const to address a compilation warning.
  • With OpenSSL 1.1.0 and above, use Rand_bytes() instead of deprecated Rand_pseudo_bytes().
  • Fixed a compilation warning in nua_register.c.
  • Set AR_FLAGS to [cr] in configure.in in order to suppress link-time warnings caused by newer version of libtool 2.4.6.
Pthreads-win32 library
  • None
The original distributions of the libraries as well as all the patches made on top of them can be found at:

 
The UniMRCP version of the Sofia-SIP library is maintained in the following GitHub repository:
 
 
 
Thank you for using UniMRCP.
 
--

Arsen Chaloyan
Author of UniMRCP
http://www.unimrcp.org

Announcement Group

Subscribe to the Announcements Group if you prefer to receive news and press releases only. Please note that announcements are normally posted to the Discussion Group as well.